GET api/sticker/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "6d89aa38-d342-47f6-acde-7df386f105b3",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "3a04ec81-ad1d-4f66-8e82-c50de1e68598",
"contractItem_ID": "0deb0c44-1cd7-4a79-9f62-ef7f457a003f",
"departement_ID": "4e5ef022-81a4-44a8-b784-cbae7c83dd10",
"departmentItem_ID": "ac80d3be-2e6a-4153-a647-d980ddfbc31e",
"iD": "bf0b01a1-dd70-411b-a878-ff3e48f50083",
"site_ID": "00afaeb7-30b8-4a85-9aeb-3bd534503388",
"siteCustomer_ID": "fcf8c11c-8ebc-4feb-a43f-0104b250b842",
"sticker_ID": "4fe8c95a-8270-4bb3-850b-e4b58b40e49a"
},
{
"active": true,
"contract_ID": "3a04ec81-ad1d-4f66-8e82-c50de1e68598",
"contractItem_ID": "0deb0c44-1cd7-4a79-9f62-ef7f457a003f",
"departement_ID": "4e5ef022-81a4-44a8-b784-cbae7c83dd10",
"departmentItem_ID": "ac80d3be-2e6a-4153-a647-d980ddfbc31e",
"iD": "bf0b01a1-dd70-411b-a878-ff3e48f50083",
"site_ID": "00afaeb7-30b8-4a85-9aeb-3bd534503388",
"siteCustomer_ID": "fcf8c11c-8ebc-4feb-a43f-0104b250b842",
"sticker_ID": "4fe8c95a-8270-4bb3-850b-e4b58b40e49a"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "1f9c7a89-73ef-4e23-a3c3-418c769e545b",
"isStatic": true,
"stickerType_ID": "e7e6dd1f-195c-4a8b-b5f2-5041b48c6469",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "0456e7e3-b5e9-4863-914e-76cc7b9d6ac8",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "62e59316-f9a5-4635-9453-eb5b1103f49e",
"stickerField_ID": "6851c301-5bf6-487c-a6d5-e5a8d2d39541",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "1f9c7a89-73ef-4e23-a3c3-418c769e545b",
"isStatic": true,
"stickerType_ID": "e7e6dd1f-195c-4a8b-b5f2-5041b48c6469",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "0456e7e3-b5e9-4863-914e-76cc7b9d6ac8",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "62e59316-f9a5-4635-9453-eb5b1103f49e",
"stickerField_ID": "6851c301-5bf6-487c-a6d5-e5a8d2d39541",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "7d57ac48-51cb-4f45-97d6-5f7add393a4b",
"stickerType_ID": "32c7ace1-e9e4-472c-b223-3903d43d6ec5",
"stickerRelation_IDs": [
"bd4d0ec7-7041-4904-bfb8-78c9026c8dd9",
"ce512c3d-39e6-4df6-a86d-2d3cb6ad28c8"
],
"site_ID": "03b8ce1e-59a0-4d75-aff0-4453c049bc7a"
}
application/xml
Sample:
text/xml
Sample: